Index: cgicc-3.2.9/Makefile.am
===================================================================
--- cgicc-3.2.9.orig/Makefile.am	2010-02-25 16:34:06.000000000 +0100
+++ cgicc-3.2.9/Makefile.am	2010-02-25 16:34:14.000000000 +0100
@@ -8,9 +8,15 @@
 DEMO =
 endif
 
+if DOC
+DOCDIR = doc
+else
+DOC =
+endif
+
 ACLOCAL_AMFLAGS= 
 
-SUBDIRS = cgicc doc support $(DEMO)
+SUBDIRS = cgicc $(DOCDIR) support $(DEMO)
 
 CLEANFILES = *~
 
Index: cgicc-3.2.9/configure.ac
===================================================================
--- cgicc-3.2.9.orig/configure.ac	2010-02-25 16:34:06.000000000 +0100
+++ cgicc-3.2.9/configure.ac	2010-02-25 16:45:46.000000000 +0100
@@ -17,9 +17,23 @@
 AC_PROG_CXX
 AC_PROG_INSTALL
 AC_PROG_LIBTOOL
-AC_CHECK_PROG(DOXYGEN, doxygen, doxygen, /bin/echo)
 
 
+AC_ARG_ENABLE(doc, 
+  [  --enable-doc          build doc [[default=yes]]],
+  [case "${enableval}" in
+    yes) cgicc_doc=yes ;;
+    no)  cgicc_doc=no ;;
+    *) AC_MSG_ERROR(bad value ${enableval} for --enable-doc) ;;
+  esac], cgicc_doc=yes)
+
+if test "$cgicc_doc" = yes; then
+ AC_CHECK_PROG(DOXYGEN, doxygen, doxygen)
+ if test -z "$DOXYGEN" ; then
+   AC_MSG_ERROR([Doxygen is required to build the documentation])
+ fi
+fi
+AM_CONDITIONAL(DOC, test "$cgicc_doc" = yes)
 
 dnl Determine host system type
 
